scorer-config = {
  rov-score-config = {
    scorer-name = "com.tzld.piaoquan.recommend.server.service.score.XGBoostScorer"
    scorer-priority = 99
    model-path = "zhangbo/model_xgb_for_ros_binary_v1.tar.gz"
    param = {
      localDir = "xgboost/model_xgb_for_ros_binary_v1"
      features = [
            "b1_return_1_uv_24h"
            "b1_return_1_uv_3h"
            "b1_ros_24h"
            "b1_ros_3h"
            "b1_ros_minus_24h"
            "b1_ros_minus_3h"
            "b1_ros_one_24h"
            "b1_ros_one_3h"
            "b1_rovn_24h"
            "b1_rovn_3h"
            "b1_str_one_24h"
            "b1_str_one_3h"
            "b2_return_n_uv_24h"
            "b2_return_n_uv_3h"
            "b2_ros_24h"
            "b2_ros_3h"
            "b2_ros_minus_24h"
            "b2_ros_minus_3h"
            "b2_ros_one_24h"
            "b2_ros_one_3h"
            "b2_rovn_24h"
            "b2_rovn_3h"
            "b2_str_one_24h"
            "b2_str_one_3h"
            "b3_return_n_uv_168h"
            "b3_return_n_uv_24h"
            "b3_ros_168h"
            "b3_ros_24h"
            "b3_ros_minus_168h"
            "b3_ros_minus_24h"
            "b3_ros_one_168h"
            "b3_ros_one_24h"
            "b3_rovn_168h"
            "b3_rovn_24h"
            "b3_str_one_168h"
            "b3_str_one_24h"
            "b5_return_n_uv_24h"
            "b5_ros_24h"
            "b5_ros_minus_24h"
            "b5_ros_one_24h"
            "b5_rovn_24h"
            "b5_str_one_24h"
            "b6_return_n_uv_24h"
            "b6_ros_24h"
            "b6_ros_minus_24h"
            "b6_ros_one_24h"
            "b6_rovn_24h"
            "b6_str_one_24h"
            "b7_return_n_uv_24h"
            "b7_ros_24h"
            "b7_ros_minus_24h"
            "b7_ros_one_24h"
            "b7_rovn_24h"
            "b7_str_one_24h"
            "b8_return_n_uv_24h"
            "b8_ros_24h"
            "b8_ros_minus_24h"
            "b8_ros_one_24h"
            "b8_rovn_24h"
            "b8_str_one_24h"
            "b9_return_n_uv_24h"
            "b9_ros_24h"
            "b9_ros_minus_24h"
            "b9_ros_one_24h"
            "b9_rovn_24h"
            "b9_str_one_24h"
            "b11_return_n_uv_24h"
            "b11_ros_24h"
            "b11_ros_minus_24h"
            "b11_ros_one_24h"
            "b11_rovn_24h"
            "b11_str_one_24h"
            "b12_return_n_uv_14d"
            "b12_ros_14d"
            "b12_ros_minus_14d"
            "b12_ros_one_14d"
            "b12_rovn_14d"
            "b12_str_one_14d"
            "b13_return_n_uv_24h"
            "b13_return_n_uv_3h"
            "b13_ros_24h"
            "b13_ros_3h"
            "b13_ros_minus_24h"
            "b13_ros_minus_3h"
            "b13_ros_one_24h"
            "b13_ros_one_3h"
            "b13_rovn_24h"
            "b13_rovn_3h"
            "b13_str_one_24h"
            "b13_str_one_3h"
            "c1_click_12h"
            "c1_click_168h"
            "c1_click_24h"
            "c1_click_72h"
            "c1_return_1_uv_12h"
            "c1_return_1_uv_168h"
            "c1_return_1_uv_24h"
            "c1_return_1_uv_72h"
            "c1_ros_12h"
            "c1_ros_168h"
            "c1_ros_24h"
            "c1_ros_72h"
            "c1_ros_minus_12h"
            "c1_ros_minus_168h"
            "c1_ros_minus_24h"
            "c1_ros_minus_72h"
            "c1_ros_one_12h"
            "c1_ros_one_168h"
            "c1_ros_one_24h"
            "c1_ros_one_72h"
            "c1_rovn_12h"
            "c1_rovn_168h"
            "c1_rovn_24h"
            "c1_rovn_72h"
            "c1_str_one_12h"
            "c1_str_one_168h"
            "c1_str_one_24h"
            "c1_str_one_72h"
            "c2_click_12h"
            "c2_click_168h"
            "c2_click_24h"
            "c2_click_72h"
            "c2_is_return_1_12h"
            "c2_is_return_1_168h"
            "c2_is_return_1_24h"
            "c2_is_return_1_72h"
            "c2_is_share_12h"
            "c2_is_share_168h"
            "c2_is_share_24h"
            "c2_is_share_72h"
            "c2_return_n_uv_12h"
            "c2_return_n_uv_168h"
            "c2_return_n_uv_24h"
            "c2_return_n_uv_72h"
            "c2_share_cnt_12h"
            "c2_share_cnt_168h"
            "c2_share_cnt_24h"
            "c2_share_cnt_72h"
            "c3_click_12h"
            "c3_click_168h"
            "c3_click_24h"
            "c3_click_72h"
            "c3_is_return_1_12h"
            "c3_is_return_1_168h"
            "c3_is_return_1_24h"
            "c3_is_return_1_72h"
            "c3_is_share_12h"
            "c3_is_share_168h"
            "c3_is_share_24h"
            "c3_is_share_72h"
            "c3_return_n_uv_12h"
            "c3_return_n_uv_168h"
            "c3_return_n_uv_24h"
            "c3_return_n_uv_72h"
            "c3_share_cnt_12h"
            "c3_share_cnt_168h"
            "c3_share_cnt_24h"
            "c3_share_cnt_72h"
            "c4_avg_ros_168h"
            "c4_avg_ros_24h"
            "c4_avg_ros_72h"
            "c4_avg_ros_minus_168h"
            "c4_avg_ros_minus_24h"
            "c4_avg_ros_minus_72h"
            "c4_avg_ros_one_168h"
            "c4_avg_ros_one_24h"
            "c4_avg_ros_one_72h"
            "c4_avg_rovn_168h"
            "c4_avg_rovn_24h"
            "c4_avg_rovn_72h"
            "c4_avg_str_one_168h"
            "c4_avg_str_one_24h"
            "c4_avg_str_one_72h"
            "c4_diff_ros_168h"
            "c4_diff_ros_24h"
            "c4_diff_ros_72h"
            "c4_diff_ros_minus_168h"
            "c4_diff_ros_minus_24h"
            "c4_diff_ros_minus_72h"
            "c4_diff_ros_one_168h"
            "c4_diff_ros_one_24h"
            "c4_diff_ros_one_72h"
            "c4_diff_rovn_168h"
            "c4_diff_rovn_24h"
            "c4_diff_rovn_72h"
            "c4_diff_str_one_168h"
            "c4_diff_str_one_24h"
            "c4_diff_str_one_72h"
            "c5_avgscore_tags_1d"
            "c5_avgscore_tags_3d"
            "c5_avgscore_tags_7d"
            "c5_matchnum_tags_1d"
            "c5_matchnum_tags_3d"
            "c5_matchnum_tags_7d"
            "c5_maxscore_tags_1d"
            "c5_maxscore_tags_3d"
            "c5_maxscore_tags_7d"
            "c6_avgscore_tags_1d"
            "c6_avgscore_tags_3d"
            "c6_avgscore_tags_7d"
            "c6_matchnum_tags_1d"
            "c6_matchnum_tags_3d"
            "c6_matchnum_tags_7d"
            "c6_maxscore_tags_1d"
            "c6_maxscore_tags_3d"
            "c6_maxscore_tags_7d"
            "d1_ros_cf_rank"
            "d1_ros_cf_score"
            "d1_rov_cf_rank"
            "d1_rov_cf_score"
            "d2_rank"
            "d2_score"
            "d3_exp"
            "d3_return_n"
            "d3_rovn"
            "festive_sim"
            "head_title_festive_sim"
            "head_title_merge1_sim"
            "head_title_merge2_sim"
            "merge1_sim"
            "merge2_sim"
            "title_sim"
            "day_of_week"
            "hour"
            "create_ts_diff"
            "is_greeting"
            "total_time"
            "width"
            "height"
            "width/height"
            "size"
            "bit_rate"
      ]
    }
  }
}
